Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.servlet.logging
Interface HttpAccountingInfo

All Known Implementing Classes:
  HttpAccountingInfoImpl

public interface HttpAccountingInfo

This interface returns information regarding HTTP requests and responses. This provides all the standard getters of the HttpServletRequest, HttpServletResponse as well as additional stuff, like timing metrics etc.

Author:
  Copyright (c) 2000 by BEA WebXpress. All Rights Reserved.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getContextPath()`
`javax.servlet.http.Cookie[]` | `getCookies()`
`long` | `getDateHeader(java.lang.String name)`
`java.lang.String` | `getFirstLine()`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.util.Enumeration` | `getHeaderNames()`
`java.util.Enumeration` | `getHeaders(java.lang.String name)`
`int` | `getIntHeader(java.lang.String name)`
`long` | `getInvokeTime()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getPathTranslated()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getQueryString()`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getRemoteUser()`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getRequestURI()`
`int` | `getResponseContentLength()`
`java.lang.String` | `getResponseHeader(java.lang.String name)`
`int` | `getResponseStatusCode()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`java.lang.String` | `getServletPath()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isRequestedSessionIdFromCookie()`
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdFromURL()`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### getResponseContentLength

    public int getResponseContentLength()

### getContentType

    public java.lang.String getContentType()

### getLocale

    public java.util.Locale getLocale()

### getLocales

    public java.util.Enumeration getLocales()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getParameterNames

    public java.util.Enumeration getParameterNames()

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getProtocol

    public java.lang.String getProtocol()

### getRemoteAddr

    public java.lang.String getRemoteAddr()

### getRemoteHost

    public java.lang.String getRemoteHost()

### getScheme

    public java.lang.String getScheme()

### getServerName

    public java.lang.String getServerName()

### getServerPort

    public int getServerPort()

### isSecure

    public boolean isSecure()

### getAuthType

    public java.lang.String getAuthType()

### getContextPath

    public java.lang.String getContextPath()

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

### getDateHeader

    public long getDateHeader(java.lang.String name)

### getHeader

    public java.lang.String getHeader(java.lang.String name)

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

### getIntHeader

    public int getIntHeader(java.lang.String name)

### getMethod

    public java.lang.String getMethod()

### getPathInfo

    public java.lang.String getPathInfo()

### getPathTranslated

    public java.lang.String getPathTranslated()

### getQueryString

    public java.lang.String getQueryString()

### getRemoteUser

    public java.lang.String getRemoteUser()

### getRequestURI

    public java.lang.String getRequestURI()

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

### getServletPath

    public java.lang.String getServletPath()

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

### getFirstLine

    public java.lang.String getFirstLine()

### getInvokeTime

    public long getInvokeTime()

### getResponseStatusCode

    public int getResponseStatusCode()

### getResponseHeader

    public java.lang.String getResponseHeader(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference